// Data.h: interface for the Data class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DATA_H__CDCB76E7_5394_4EBB_BAF0_E7332391D829__INCLUDED_)
#define AFX_DATA_H__CDCB76E7_5394_4EBB_BAF0_E7332391D829__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


enum type {REG =0, RIDGE, RAVINE};

class Data  
{

public:
	void triangulate();
	void allocate(int row, int col);
    void setType(int y, int x, type t);
	type getType(int y, int x);
    void allocateType();
	float* Value;
    type* Type;
	int *flag;
	int col;
	int row;
	float step;
	float (*Points)[3];
	int (*Faces)[3];
	Data();
    Data(int row, int col);
    void setValue(int j, int i, float val);
    float getValue(int j, int i);
    void erase();
	virtual ~Data();

private:
	
};

#endif // !defined(AFX_DATA_H__CDCB76E7_5394_4EBB_BAF0_E7332391D829__INCLUDED_)
