// Dia_ridge.cpp : implementation file
//

#include "stdafx.h"
#include "rangeimage.h"
#include "Dia_ridge.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dia_ridge dialog


Dia_ridge::Dia_ridge(CWnd* pParent /*=NULL*/)
	: CDialog(Dia_ridge::IDD, pParent)
{
	//{{AFX_DATA_INIT(Dia_ridge)
	m_param = 0.1f;
	m_iter = 5;
	m_thresh = 0.1f;
	m_ridge = TRUE;
	m_ravine = TRUE;
	m_statistic = TRUE;
	m_curv_thresh_max = 0.05f;
	m_curv_thresh_min = 0.05f;
	m_hyster_min = 0.03f;
	m_hyster_max = 0.03f;
	m_percent_low = 30;
	m_percent_hi = 60;
	m_exp_autom = TRUE;
	m_exp_perc = 20;
	m_thinning = FALSE;
	//}}AFX_DATA_INIT
}


void Dia_ridge::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(Dia_ridge)
	DDX_Text(pDX, IDC_EDIT1, m_param);
	DDX_Text(pDX, IDC_ITER, m_iter);
	DDX_Text(pDX, IDC_CURV_TH, m_thresh);
	DDX_Check(pDX, IDC_CHECK_RG, m_ridge);
	DDX_Check(pDX, IDC_CHECK_RV, m_ravine);
	DDX_Check(pDX, IDC_STATIS, m_statistic);
	DDX_Text(pDX, IDC_KMAX, m_curv_thresh_max);
	DDX_Text(pDX, IDC_KMIN, m_curv_thresh_min);
	DDX_Text(pDX, IDC_HYST_MIN, m_hyster_min);
	DDX_Text(pDX, IDC_HYST_MAX, m_hyster_max);
	DDX_Text(pDX, IDC_TLOW, m_percent_low);
	DDX_Text(pDX, IDC_T_HI, m_percent_hi);
	DDX_Check(pDX, IDC_AUTOM_EXP, m_exp_autom);
	DDX_Text(pDX, IDC_EXP_PERCENT, m_exp_perc);
	DDX_Check(pDX, IDC_THINN, m_thinning);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(Dia_ridge, CDialog)
	//{{AFX_MSG_MAP(Dia_ridge)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Dia_ridge message handlers
