// Image.h: interface for the CImage class.
//

//////////////////////////////////////////////////////////////////////

#if !defined(AFX_IMAGE_H__A0E6BD04_461F_405B_9641_570F3344D912__INCLUDED_)
#define AFX_IMAGE_H__A0E6BD04_461F_405B_9641_570F3344D912__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Data.h"

class CImage  
{
public:	
	void image_to_data(Data* data);
	void allocateFeatures();
	type getType(int row, int col);
	void setFeature(int row, int col, type t);
	type** isFeature;
	void allocate(int rows, int cols);
	int getSize();
	void erase();
	CImage(int row_N, int col_N, int max_grey);
	CImage();
	virtual ~CImage();
	void copy(const CImage& image);
	void getImageInfo(int& row_N, int& col_N, int& max_grey);
	float getPixelVal(int row, int col);
	void setPixelVal(int row, int col, float val);
	void setImageInfo(int, int, int);
 private:
   int row_N, col_N, max_grey;
   float **pixelValue;

};

#endif // !defined(AFX_IMAGE_H__A0E6BD04_461F_405B_9641_570F3344D912__INCLUDED_)
