// Cloud.h: interface for the Cloud class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LOUD_H__9CEDC10B_28C3_480C_9260_25453FC4B7AC__INCLUDED_)
#define AFX_LOUD_H__9CEDC10B_28C3_480C_9260_25453FC4B7AC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Image.h"
#include "RangeImageDoc.h"
#include "Data.h"

class Cloud  
{

	struct point{
		float x;
		float y;
		float height;
	};



public:
	void cloud_to_data(Data* data);
	int (*tr)[3];
	void cloud_to_image(CImage* image);
	void setSizeInfo(int row, int col);
	int col;
	int row;
	point* data;
	int size;
	void allocate(int n);
	Cloud();
	virtual ~Cloud();

};

#endif // !defined(AFX_LOUD_H__9CEDC10B_28C3_480C_9260_25453FC4B7AC__INCLUDED_)
