// Featurer.h: interface for the Featurer class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FEATURER_H__3E8BAE7A_A522_469F_AB6C_4C83AEBAD59B__INCLUDED_)
#define AFX_FEATURER_H__3E8BAE7A_A522_469F_AB6C_4C83AEBAD59B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Data.h"

class Featurer  
{ 
    void non_max_suppr(float **Kmax, float **Kmin, float (**Vmax )[2], 
		                    float (**Vmin )[2], float** alpha, float T);
    void non_min_suppr(float **Kmin, float **Kmax, float (**Vmin )[2], 
							 float (**Vmax )[2], float** alpha, float T);
    void hysteresis(float** K, type t, float thresh);
    void neighbour(type * in, type *out, int y, int x, type t);

public:
	int percent_hi;
	int percent_low;
	void skeletoniaze(int** init);
	void post_process();
	void blow(int size, type T, int** blowed );
	BOOL m_thinning;
	int get_feature_degree(int y, int x,  type Type);
	void thinning(type Type, float** K);
	static float SQ(float x);
	int m_expo_percent;
	BOOL m_expo_aut;
	BOOL m_statistic; 
	float m_hyster_max;
	float m_hyster_min;
    float m_curv_thresh_max;
    float m_curv_thresh_min;
	float getSigma(int y, int x, float (** N)[3]);
	void trimm_Kmax(float **Kmax, int Tlow,  int Thi, float &T_hyst, float &T_curv);
    void trimm_Kmin(float **Kmin, int Tlow,  int Thi, float &T_hyst, float &T_curv);
//    void trimm(float **K, int Tlow,  int Thi, float &T_hyst, float &T_curv);
	void setData(Data* in);
	Data* data;
	Featurer();
    Featurer(BOOL stat_in);
	virtual ~Featurer();
    void StMarc(int iter, float param);

};

#endif // !defined(AFX_FEATURER_H__3E8BAE7A_A522_469F_AB6C_4C83AEBAD59B__INCLUDED_)
