// RangeImageDoc.h : interface of the CRangeImageDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_RANGEIMAGEDOC_H__52B32244_D834_4812_8B58_D8A2CEE9CA12__INCLUDED_)
#define AFX_RANGEIMAGEDOC_H__52B32244_D834_4812_8B58_D8A2CEE9CA12__INCLUDED_

#include "Image.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Cloud.h"
#include "Data.h"

enum vis_mode {flat, smooth, wire, image, shaded, points, mesh};

class CRangeImageDoc : public CDocument
{
protected: // create from serialization only
	CRangeImageDoc();
	DECLARE_DYNCREATE(CRangeImageDoc)

// Attributes
public:


// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRangeImageDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	BOOL m_features;
	Data* data;
	void drawImage();
	vis_mode mode;

	virtual ~CRangeImageDoc();
    void DeleteContents();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CRangeImageDoc)
	afx_msg void OnFileOpen();
	afx_msg void OnShowFeatures();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void changeView();
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RANGEIMAGEDOC_H__52B32244_D834_4812_8B58_D8A2CEE9CA12__INCLUDED_)
